Skip to content

List user's conversations

GET
/api/intake/conversations
curl --request GET \
--url https://example.com/api/intake/conversations \
--header 'Authorization: Bearer <token>'

Returns recent conversations for the authenticated user, most recent first.

status_filter
Any of:
string
q
Any of:
string

Successful Response

Media type application/json
ConversationListResponse
object
conversations
required
Conversations
Array<object>
ConversationSummary
object
conversation_id
required
Conversation Id
string
deal_name
Any of:
string
status
required
Status
string
stage_slug
required
Stage Slug
string
created_at
Any of:
number
last_message_preview
Any of:
string
file_count
File Count
integer
0
progress_step
Progress Step
string
default: Unknown
last_activity_at
Any of:
number
archived
Archived
boolean
deal_type_hint
Any of:
string
canvas_url
Any of:
string
files_summary
Any of:
string
completed_at
Any of:
number
error_message
Any of:
string
max_active
required
Max Active
integer
Example
{
"conversations": [
{
"file_count": 0,
"progress_step": "Unknown",
"archived": false
}
]
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}